Skip to main content
GET
/
connections
/
{id}
Get connection by ID
curl --request GET \
  --url https://app.leadconduit.com/connections/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "5fd4371e940df5a34a3888b2",
  "connected_account": {
    "id": "5fd4371e940df5a34a3888b2",
    "sso_id": "5fd4371e940df5a34a3888b2",
    "name": "Acme Corp"
  },
  "external_id": "5fd4371e940df5a34a3888b2",
  "invitation_id": "5fd4371e940df5a34a3888b2",
  "relationship_type": "seller",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": "example@mail.com"
}

Documentation Index

Fetch the complete documentation index at: https://developers.activeprospect.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required
read-only

ID of the connection to get. This can be a unique identifier, SSO Connection Id, or Invitation Id. 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

Created

id
string
read-only

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

connected_account
object
external_id
string
read-only

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

invitation_id
string
read-only

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

relationship_type
enum<string>
Available options:
seller,
buyer
created_at
string<date-time>
updated_at
string<date-time>
created_by
string
Example:

"example@mail.com"